// Copyright 2003 Leigh L. Klotz, Jr.

package com.hipme.cellinfo;

import danger.app.Application;
import danger.app.Listener;
import danger.app.Event;
import danger.ui.View;
import danger.ui.TypeAheadTextField;
import danger.util.TextFinder;
import danger.ui.ListSelectMenu;
import danger.util.DEBUG;
import java.util.Vector;
import java.util.Hashtable;
import java.util.Enumeration;
import danger.ui.MenuItem;

abstract class MyTextFinder extends Listener implements TextFinder {
  MyTextFinder() {
    super();
  }

  public final void search(ListSelectMenu menu, String inKey) {
    if (inKey.length() > 0) {
      menu.updateMenuContents(matches(inKey));
    } else {
      menu.updateMenuContents(new MenuItem[0]);
    }
  }

  protected abstract Vector matches(String inKey);
}
